javax.persistence.criteria

## Interface CriteriaQuery<T>

All Superinterfaces:
  AbstractQuery<T>

    public interface CriteriaQuery<T>
    extends AbstractQuery<T>

### Method Summary

All Methods Instance Methods Abstract Methods
`CriteriaQuery<T>` `distinct(boolean distinct)`
`List<Order>` `getOrderList()`
`Set<ParameterExpression<?>>` `getParameters()`
`CriteriaQuery<T>` `groupBy(Expression<?>... grouping)`
`CriteriaQuery<T>` `groupBy(List<Expression<?>> grouping)`
`CriteriaQuery<T>` `having(Expression<Boolean> restriction)`
`CriteriaQuery<T>` `having(Predicate... restrictions)`
`CriteriaQuery<T>` `multiselect(List<Selection<?>> selectionList)`
`CriteriaQuery<T>` `multiselect(Selection<?>... selections)`
`CriteriaQuery<T>` `orderBy(List<Order> o)`
`CriteriaQuery<T>` `orderBy(Order... o)`
`CriteriaQuery<T>` `select(Selection<? extends T> selection)`
`CriteriaQuery<T>` `where(Expression<Boolean> restriction)`
`CriteriaQuery<T>` `where(Predicate... restrictions)`

### Methods inherited from interface javax.persistence.criteria.AbstractQuery

`from, from, getGroupList, getGroupRestriction, getRestriction, getResultType, getRoots, getSelection, isDistinct, subquery`

### Method Detail

#### select

    CriteriaQuery<T> select(Selection<? extends T> selection)

#### multiselect

    CriteriaQuery<T> multiselect(Selection<?>... selections)

#### multiselect

    CriteriaQuery<T> multiselect(List<Selection<?>> selectionList)

#### where

    CriteriaQuery<T> where(Expression<Boolean> restriction)

Specified by:
  `where` in interface `AbstractQuery<T>`

#### where

    CriteriaQuery<T> where(Predicate... restrictions)

Specified by:
  `where` in interface `AbstractQuery<T>`

#### groupBy

    CriteriaQuery<T> groupBy(Expression<?>... grouping)

Specified by:
  `groupBy` in interface `AbstractQuery<T>`

#### groupBy

    CriteriaQuery<T> groupBy(List<Expression<?>> grouping)

Specified by:
  `groupBy` in interface `AbstractQuery<T>`

#### having

    CriteriaQuery<T> having(Expression<Boolean> restriction)

Specified by:
  `having` in interface `AbstractQuery<T>`

#### having

    CriteriaQuery<T> having(Predicate... restrictions)

Specified by:
  `having` in interface `AbstractQuery<T>`

#### orderBy

    CriteriaQuery<T> orderBy(Order... o)

#### orderBy

    CriteriaQuery<T> orderBy(List<Order> o)

#### distinct

    CriteriaQuery<T> distinct(boolean distinct)

Specified by:
  `distinct` in interface `AbstractQuery<T>`

#### getOrderList

    List<Order> getOrderList()

#### getParameters

    Set<ParameterExpression<?>> getParameters()